Name:		php5-paradox
Version: 	1.4.3
Release:	6.3
License: 	GPL
Group: 		Development/Libraries
Summary: 	Paradox PHP extension
URL: 		http://pecl.php.net/package/Paradox
Source0: 	paradox-%{version}.tgz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	libpx-devel autoconf automake php-devel glibc-devel libgcc gcc gcc-c++
Requires:	pxlib

%description
Paradox is an extension to read and write Paradox .DB and .PX files.
It can handle almost all field types and binary large objects stored
in .MB files.

%debug_package

%prep
%setup -q -n paradox-%{version}

export PHP_PREFIX=%{_prefix}
$PHP_PREFIX/bin/phpize
./configure --with-paradox=shared --with-php-config=$PHP_PREFIX/bin/php-config

%__make
%install
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/php5/extensions/
install -m 755 modules/paradox.so $RPM_BUILD_ROOT%{_libdir}/php5/extensions/
install -d 755 $RPM_BUILD_ROOT/etc/php5/conf.d
echo "extension=paradox.so" > $RPM_BUILD_ROOT/etc/php5/conf.d/paradox.ini

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc CREDITS
%{_libdir}/php5/extensions/paradox.so
%config /etc/php5/conf.d/paradox.ini
 
%changelog
* Sun Dec 20 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.3-2
- small changes in spec

* Mon Jan 16 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package release - 1.4.3

